function onLoadPage(){

	//Para el alta, en vez de coger el dato del niGrupo del contexto, se lo metemos en el hashmap, que se va a mapear al contexto, que es lo que le va a llegar a 

	//la funci?n de alta.En la modificaci?n, ya lo ha obtenido de la base de datos, as? que no necesitamos esto, por lo que no hemos pintado el hidden niGrupoCuesVTMAnu,

	//para que no se ejecuten

	//limpiarDatos(); 

	

			

	if(document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(niGrupoCuesVTMAnu)"])

		document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(niGrupoCuesVTMAnu)"].value = document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(niGrupoCuesVTMAnu)"].value;

	

	if (document.forms["formCuestionariosVTMAnu"].elements["accion"].value = "KEY_GUARDAR"){

			cargarNombreViaLauncher();

			//Se selecciona el campo del nombre de via

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(calle)","calle");

			cargarMunMuniLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(munMuni)","munMuni");

			cargarEntiProLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(entiPro)","entiPro");

			cargarNombreViaProLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(callePro)","callePro");

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(calle)"].value != ""){

			cargarBloqueLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(bloq)","bloq");

			cargarNumePortalLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(nume)","nume");

			//cargarComplemDirLauncher();

			//seleccionarComboDesdeCampo("cuestionarioVTMAnu(cdir)","cdir");

		}

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(calle)"].value != "" &&

				document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nume)"].value != ""){

			cargarBisPortalLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(bis)","bis");

		}

		

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(callePro)"].value != ""){

			cargarBloqueProLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(bloqPro)","bloqPro");

			cargarNumePortalProLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(numePro)","numePro");

			//cargarComplemDirLauncher();

			//seleccionarComboDesdeCampo("cuestionarioVTMAnu(cdir)","cdir");

		}

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(callePro)"].value != "" &&

				document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(numePro)"].value != ""){

			cargarBisPortalProLauncher();

			seleccionarComboDesdeCampo("cuestionarioVTMAnu(bisPro)","bisPro");

		}

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(estadoLicen)"][0].checked)

		{

			mostrarSubapartado("sub2");

		}

		else if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(estadoLicen)"][1].checked)

		{

			mostrarSubapartado("sub1");

		}

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][0].checked || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][1].checked || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][2].checked || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][3].checked)

		{

			mostrarSubapartado("sub3");

		}

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(usoRes)"][0].checked)

		{

			mostrarSubapartado("sub4");			

		}

		else if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(usoRes)"][1].checked)

		{

			mostrarSubapartado("sub31");

		}		

		if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvaldot)"].value != "" || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvreal)"].value != "" || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtmg)"].value != "" || document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtme)"].value != "")

		{

			mostrarSubapartado("sub5");

		}

		if(document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(princUso)"][0].checked)

		{

			mostrarSubapartado("sub6");			

		}

		if(document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(princUso)"][2].checked)

		{

			mostrarSubapartado("subEspecificar");			

		}		

	}

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(idenLicen)"].focus();

	

	

	

}



function mostrarSubapartado(idSubapartado){

	document.all[idSubapartado].style.display="block";

}



function ocultarSubapartado(idSubapartado){

	

	/*********************************************/

	//SI NO, Al grabar, mirar si est? chequeado el NO, y limpiar entonces

	/*********************************************/



	switch(idSubapartado){

		case "sub1":

			limpiarDatosSubapartado1();

		break;

		case "sub2":

			limpiarDatosSubapartado2();

		break;

		case "sub3":

			limpiarDatosSubapartado3();

		break;

		case "sub4":

			limpiarDatosSubapartado4();

		break;

		case "sub5":

			limpiarDatosSubapartado5();

		break;

		case "sub6":

			limpiarDatosSubapartado6();

		break;

		case "sub7":

			limpiarDatosSubapartado7();

		break;

		case "sub31":

			limpiarDatosSubapartado31();

		break;

		case "subEspecificar":

			limpiarDatosSubapartadoEspecificar();

		break;

		default: break;

	}

	

	/**************************************************/

	//Antes de ocultar limpiar los campos de la capa

	/**************************************************/

	document.all[idSubapartado].style.display="none";

}



function limpiarDatos()

{

	document.forms[0].elements["cuestionarioVTMAnu(idenLicen)"].value = "";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(rsPromo)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cifDni)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cdirPro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tlf)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(fax)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(mail)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(web)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(presupuesto)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(puEspecif)"].value="";

}



function limpiarDatosSubapartado1(){

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(causaBaja)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(causaBaja)"][1].checked=false;	

}



function limpiarDatosSubapartado2(){

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(enti)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tvia)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(calle)"].value="";



	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(bloq)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nume)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(bis)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cdir)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(rsPromo)"].value="";



	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cifDni)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(munProv)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(munMuni)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(entiPro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tviaPro)"].value="";



	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(callePro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(bloqPro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(numePro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(bisPro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cdirPro)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tlf)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(fax)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(mail)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(web)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(presupuesto)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(fIni)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(fFin)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][1].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][2].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][3].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(tipoObra)"][4].checked=false;

}



function limpiarDatosSubapartado3(){

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(usoRes)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(usoRes)"][1].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][1].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][2].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][3].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][4].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][5].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][6].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][7].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][8].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][9].checked=false;

}



function limpiarDatosSubapartado4(){

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvn)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvr)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvl)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvpo)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvs)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvpot)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvaldot)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvreal)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtmg)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtme)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(ntot)"].value="";	

}



function limpiarDatosSubapartado5(){

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nsp45)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nsp75)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nsp90)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nsp120)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nspt)"].value="";

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(princUso)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(princUso)"][1].checked=false;

			

}



function limpiarDatosSubapartado6(){



document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(precioMed)"].value="";

}



function limpiarDatosSubapartado7(){



document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(obs)"].value="";

}



function limpiarDatosSubapartado31(){

	

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][0].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][1].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][2].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][3].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][4].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][5].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][6].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][7].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][8].checked=false;

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(actividad)"][9].checked=false;

}



function limpiarDatosSubapartadoEspecificar()

{

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(puEspecif)"].value="";

}

function calculaVisible()

{

	if (document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvaldot)"].value != 0 || 

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvaldot)"].value != "" ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvreal)"].value != 0 ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvreal)"].value != "" ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtmg)"].value != 0 ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtmg)"].value != "" ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtme)"].value != 0 ||

	document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(nvvtme)"].value != "")

	{

		mostrarSubapartado("sub5");

	}

	else

	{

		ocultarSubapartado("sub5");

	}

}



